﻿using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            ScatterPlot scatterPlot1 = plot.AddScatter
            (
                new double[] { 2.5 },
                new double[] { 5 },
                label : "John Doe et al."
            );

            scatterPlot1.XError = new double[] { 0.2 };

            ScatterPlot scatterPlot2 = plot.AddScatter
            (
                new double[] { 2.7 },
                new double[] { 4 },
                label : "Jane Doe et al."
            );

            scatterPlot2.XError = new double[] { 0.3 };

            ScatterPlot scatterPlot3 = plot.AddScatter
            (
                new double[] { 2.3 },
                new double[] { 3 },
                label : "Jim Doe et al."
            );

            scatterPlot3.XError = new double[] { 0.6 };

            ScatterPlot scatterPlot4 = plot.AddScatter
            (
                new double[] { 2.8 },
                new double[] { 2 },
                label : "Joel Doe et al."
            );

            scatterPlot4.XError = new double[] { 0.3 };

            ScatterPlot scatterPlot5 = plot.AddScatter
            (
                new double[] { 2.5 },
                new double[] { 1 },
                label : "Jacqueline Doe et al."
            );

            scatterPlot5.XError = new double[] { 0.2 };

            plot.AddVerticalLine(2.6, style : LineStyle.Dash);

            plot.SetAxisLimits(0, 5, 0, 6);

            plot.Legend();

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}